List Log Streams
curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/log_streams \
--header 'Splunk-AO-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/log_streams"
headers = {"Splunk-AO-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Splunk-AO-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/log_streams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"project_id": "<string>",
"created_by": "<string>",
"created_by_user": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"num_spans": 123,
"num_traces": 123,
"has_user_created_sessions": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}log_stream
List Log Streams
deprecated
Retrieve all log streams for a project.
DEPRECATED in favor of list_log_streams_paginated.
GET
/
v2
/
projects
/
{project_id}
/
log_streams
List Log Streams
Authorizations
APIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Query Parameters
Response
Successful Response
A user's basic information, used for display purposes.
Show child attributes
Show child attributes
Was this page helpful?
⌘I